#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kiten
Summary: A Japanese reference/learning tool
Version: 4.12.5
Release: %mkrel %{rel}
Group: Education
License: GPLv2 and LGPLv2 and GFDL
URL: http://edu.kde.org/kiten
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
Suggests: kiten-handbook
Requires: fonts-ttf-kanjistrokeorders

#Branch patches 100->200

#Trunk patches 200->300

#Mageia patches 500->600


%description
Kiten is a Japanese reference/learning tool.

Kiten features:
* Search with english keyword, Japanese reading, or a Kanji string on a
  list of EDICT files.
* Search with english keyword, Japanese reading, number of strokes, grade
  number, or a Kanji on a list of KANJIDIC files.
* Comes with all necessary files.
* Very fast.
* Limit searches to only common entries.
* Nested searches of results possible.
* Compact, small, fast interface.
* Global KDE keybindings for searching highlighted strings.
* Learning dialog. (One can even open up multiple ones and have them sync
  between each other.)
* Browse Kanji by grade.
* Add Kanji to a list for later learning.
* Browse list, and get quizzed on them.

%files
%_kde_bindir/kiten
%_kde_bindir/kitengen
%_kde_bindir/kitenradselect
%_kde_bindir/kitenkanjibrowser
%_kde_appsdir/kitenkanjibrowser/kanjibrowserui.rc
%_kde_appsdir/kiten
%_kde_appsdir/kitenradselect
%_kde_applicationsdir/kiten.desktop
%_kde_applicationsdir/kitenkanjibrowser.desktop
%_kde_applicationsdir/kitenradselect.desktop
%_kde_datadir/config.kcfg/kiten.kcfg
%_kde_iconsdir/*/*/apps/kiten.*

#------------------------------------------------------------------------------

%package handbook
Summary: Kiten handbook
Conflicts: kiten < 4.7.1
BuildArch: noarch
Group: Documentation
%description handbook
This package provides kiten handbook.

%files handbook
%doc  COPYING COPYING.DOC COPYING.LIB AUTHORS README
%doc %_kde_docdir/HTML/en/kiten

#------------------------------------------------------------------------------
%package -n fonts-ttf-kanjistrokeorders
Summary: Kanji Stroke Orders Fonts
Group:   System/Fonts/True type
License: BSD
BuildArch: noarch

%description -n fonts-ttf-kanjistrokeorders
This package provides the Kanji Stroke Orders.

%files -n fonts-ttf-kanjistrokeorders
%_datadir/fonts/kanjistrokeorders/KanjiStrokeOrders.ttf

#------------------------------------------------------------------------------

%define libkiten_major 4
%define libkiten %mklibname kiten %{libkiten_major}

%package -n %libkiten
Summary: Runtime library for Kiten
Group: System/Libraries

%description -n %libkiten
libkiten is a library for managing a variety of japanese cross-language
dictionaries through a common interface. It provides a light abstraction layer
over various types of japanese dictionaries, with a simple facility for adding
more types.

%files -n %libkiten
%_kde_libdir/libkiten.so.%{libkiten_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkiten = %version-%release
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_libdir/libkiten.so
%_kde_includedir/libkiten/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 4.12.5-1.mga4
+ Revision: 641313
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 555003
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551271
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540043
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490720
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 4.11.1-2.mga4
+ Revision: 488634
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476813
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465163
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458921
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455307
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447922
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435279
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428390
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407208
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401890
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394379
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 356253
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339453
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334537
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326742
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320299
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316179
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301950
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289748
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277063
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Drop patch 501 merged upstream

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269989
- fix desktop files
- update file list
- update file list
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265977
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257235
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228417
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221485
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198251
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191057
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186075
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182124
- Update tarball to KDE SC 4.7.90
- fix files list (add fonts-ttf-kanjistrokeorders subpackage)

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176456
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161352
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151963
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-0.mga2
+ Revision: 140654
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- remove %%defattr
- fix license

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122455
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115550
- add conflits on older package for upgrading

  + mikala <mikala>
    - imported package kiten

